TEnvironmentConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TEnvironmentConfig

- java.lang.Object
- - com.sleepycat.thrift.TEnvironmentConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TEnvironmentConfig>, org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TEnvironmentConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TEnvironmentConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TEnvironmentConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowCreate`
    `int` | `cacheCount`
    `long` | `cacheSize`
    `TDurabilityPolicy` | `durability`
    `java.lang.String` | `encryptionKey`
    `TLockDetectMode` | `lockDetectMode`
    `static java.util.Map<TEnvironmentConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `boolean` | `multiversion`
    `boolean` | `runRecovery`
    `boolean` | `txnNoWait`
    `boolean` | `txnSnapshot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TEnvironmentConfig()`
    `TEnvironmentConfig(TEnvironmentConfig other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TEnvironmentConfig other)`
    `TEnvironmentConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TEnvironmentConfig that)`
    `TEnvironmentConfig._Fields` | `fieldForId(int fieldId)`
    `int` | `getCacheCount()`
    `long` | `getCacheSize()`
    `TDurabilityPolicy` | `getDurability()`
    `java.lang.String` | `getEncryptionKey()`
    `java.lang.Object` | `getFieldValue(TEnvironmentConfig._Fields field)`
    `TLockDetectMode` | `getLockDetectMode()`
    `int` | `hashCode()`
    `boolean` | `isAllowCreate()`
    `boolean` | `isMultiversion()`
    `boolean` | `isRunRecovery()`
    `boolean` | `isSet(TEnvironmentConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetAllowCreate()` Returns true if field allowCreate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCacheCount()` Returns true if field cacheCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCacheSize()` Returns true if field cacheSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDurability()` Returns true if field durability is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEncryptionKey()` Returns true if field encryptionKey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockDetectMode()` Returns true if field lockDetectMode is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMultiversion()` Returns true if field multiversion is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRunRecovery()` Returns true if field runRecovery is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTxnNoWait()` Returns true if field txnNoWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTxnSnapshot()` Returns true if field txnSnapshot is set (has been assigned a value) and false otherwise
    `boolean` | `isTxnNoWait()`
    `boolean` | `isTxnSnapshot()`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TEnvironmentConfig` | `setAllowCreate(boolean allowCreate)`
    `void` | `setAllowCreateIsSet(boolean value)`
    `TEnvironmentConfig` | `setCacheCount(int cacheCount)`
    `void` | `setCacheCountIsSet(boolean value)`
    `TEnvironmentConfig` | `setCacheSize(long cacheSize)`
    `void` | `setCacheSizeIsSet(boolean value)`
    `TEnvironmentConfig` | `setDurability(TDurabilityPolicy durability)`
    `void` | `setDurabilityIsSet(boolean value)`
    `TEnvironmentConfig` | `setEncryptionKey(java.lang.String encryptionKey)`
    `void` | `setEncryptionKeyIsSet(boolean value)`
    `void` | `setFieldValue(TEnvironmentConfig._Fields field, java.lang.Object value)`
    `TEnvironmentConfig` | `setLockDetectMode(TLockDetectMode lockDetectMode)`
    `void` | `setLockDetectModeIsSet(boolean value)`
    `TEnvironmentConfig` | `setMultiversion(boolean multiversion)`
    `void` | `setMultiversionIsSet(boolean value)`
    `TEnvironmentConfig` | `setRunRecovery(boolean runRecovery)`
    `void` | `setRunRecoveryIsSet(boolean value)`
    `TEnvironmentConfig` | `setTxnNoWait(boolean txnNoWait)`
    `void` | `setTxnNoWaitIsSet(boolean value)`
    `TEnvironmentConfig` | `setTxnSnapshot(boolean txnSnapshot)`
    `void` | `setTxnSnapshotIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetAllowCreate()`
    `void` | `unsetCacheCount()`
    `void` | `unsetCacheSize()`
    `void` | `unsetDurability()`
    `void` | `unsetEncryptionKey()`
    `void` | `unsetLockDetectMode()`
    `void` | `unsetMultiversion()`
    `void` | `unsetRunRecovery()`
    `void` | `unsetTxnNoWait()`
    `void` | `unsetTxnSnapshot()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### allowCreate

          public boolean allowCreate

    - #### cacheCount

          public int cacheCount

    - #### cacheSize

          public long cacheSize

    - #### encryptionKey

          public java.lang.String encryptionKey

    - #### lockDetectMode

          public TLockDetectMode lockDetectMode

      See Also:
        `TLockDetectMode`

    - #### multiversion

          public boolean multiversion

    - #### runRecovery

          public boolean runRecovery

    - #### txnNoWait

          public boolean txnNoWait

    - #### txnSnapshot

          public boolean txnSnapshot

    - #### durability

          public TDurabilityPolicy durability

    - #### metaDataMap

          public static final java.util.Map<TEnvironmentConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TEnvironmentConfig

          public TEnvironmentConfig()

    - #### TEnvironmentConfig

          public TEnvironmentConfig(TEnvironmentConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TEnvironmentConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### isAllowCreate

          public boolean isAllowCreate()

    - #### setAllowCreate

          public TEnvironmentConfig setAllowCreate(boolean allowCreate)

    - #### unsetAllowCreate

          public void unsetAllowCreate()

    - #### isSetAllowCreate

          public boolean isSetAllowCreate()

      Returns true if field allowCreate is set (has been assigned a value) and false otherwise

    - #### setAllowCreateIsSet

          public void setAllowCreateIsSet(boolean value)

    - #### getCacheCount

          public int getCacheCount()

    - #### setCacheCount

          public TEnvironmentConfig setCacheCount(int cacheCount)

    - #### unsetCacheCount

          public void unsetCacheCount()

    - #### isSetCacheCount

          public boolean isSetCacheCount()

      Returns true if field cacheCount is set (has been assigned a value) and false otherwise

    - #### setCacheCountIsSet

          public void setCacheCountIsSet(boolean value)

    - #### getCacheSize

          public long getCacheSize()

    - #### setCacheSize

          public TEnvironmentConfig setCacheSize(long cacheSize)

    - #### unsetCacheSize

          public void unsetCacheSize()

    - #### isSetCacheSize

          public boolean isSetCacheSize()

      Returns true if field cacheSize is set (has been assigned a value) and false otherwise

    - #### setCacheSizeIsSet

          public void setCacheSizeIsSet(boolean value)

    - #### getEncryptionKey

          public java.lang.String getEncryptionKey()

    - #### setEncryptionKey

          public TEnvironmentConfig setEncryptionKey(java.lang.String encryptionKey)

    - #### unsetEncryptionKey

          public void unsetEncryptionKey()

    - #### isSetEncryptionKey

          public boolean isSetEncryptionKey()

      Returns true if field encryptionKey is set (has been assigned a value) and false otherwise

    - #### setEncryptionKeyIsSet

          public void setEncryptionKeyIsSet(boolean value)

    - #### getLockDetectMode

          public TLockDetectMode getLockDetectMode()

      See Also:
        `TLockDetectMode`

    - #### setLockDetectMode

          public TEnvironmentConfig setLockDetectMode(TLockDetectMode lockDetectMode)

      See Also:
        `TLockDetectMode`

    - #### unsetLockDetectMode

          public void unsetLockDetectMode()

    - #### isSetLockDetectMode

          public boolean isSetLockDetectMode()

      Returns true if field lockDetectMode is set (has been assigned a value) and false otherwise

    - #### setLockDetectModeIsSet

          public void setLockDetectModeIsSet(boolean value)

    - #### isMultiversion

          public boolean isMultiversion()

    - #### setMultiversion

          public TEnvironmentConfig setMultiversion(boolean multiversion)

    - #### unsetMultiversion

          public void unsetMultiversion()

    - #### isSetMultiversion

          public boolean isSetMultiversion()

      Returns true if field multiversion is set (has been assigned a value) and false otherwise

    - #### setMultiversionIsSet

          public void setMultiversionIsSet(boolean value)

    - #### isRunRecovery

          public boolean isRunRecovery()

    - #### setRunRecovery

          public TEnvironmentConfig setRunRecovery(boolean runRecovery)

    - #### unsetRunRecovery

          public void unsetRunRecovery()

    - #### isSetRunRecovery

          public boolean isSetRunRecovery()

      Returns true if field runRecovery is set (has been assigned a value) and false otherwise

    - #### setRunRecoveryIsSet

          public void setRunRecoveryIsSet(boolean value)

    - #### isTxnNoWait

          public boolean isTxnNoWait()

    - #### setTxnNoWait

          public TEnvironmentConfig setTxnNoWait(boolean txnNoWait)

    - #### unsetTxnNoWait

          public void unsetTxnNoWait()

    - #### isSetTxnNoWait

          public boolean isSetTxnNoWait()

      Returns true if field txnNoWait is set (has been assigned a value) and false otherwise

    - #### setTxnNoWaitIsSet

          public void setTxnNoWaitIsSet(boolean value)

    - #### isTxnSnapshot

          public boolean isTxnSnapshot()

    - #### setTxnSnapshot

          public TEnvironmentConfig setTxnSnapshot(boolean txnSnapshot)

    - #### unsetTxnSnapshot

          public void unsetTxnSnapshot()

    - #### isSetTxnSnapshot

          public boolean isSetTxnSnapshot()

      Returns true if field txnSnapshot is set (has been assigned a value) and false otherwise

    - #### setTxnSnapshotIsSet

          public void setTxnSnapshotIsSet(boolean value)

    - #### getDurability

          public TDurabilityPolicy getDurability()

    - #### setDurability

          public TEnvironmentConfig setDurability(TDurabilityPolicy durability)

    - #### unsetDurability

          public void unsetDurability()

    - #### isSetDurability

          public boolean isSetDurability()

      Returns true if field durability is set (has been assigned a value) and false otherwise

    - #### setDurabilityIsSet

          public void setDurabilityIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TEnvironmentConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TEnvironmentConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### isSet

          public boolean isSet(TEnvironmentConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TEnvironmentConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TEnvironmentConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TEnvironmentConfig>`

    - #### fieldForId

          public TEnvironmentConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TEnvironmentConfig,TEnvironmentConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.